# class Gem::Source::Local

The local source finds gems in the current directory for fulfilling dependencies.

### Public Instance Methods

<=>(other) click to toggle source

`Local` sorts before `Gem::Source` and after `Gem::Source::Installed`

    # File lib/rubygems/source/local.rb, line 17
    def <=> other
      case other
      when Gem::Source::Installed,
           Gem::Source::Lock then
        -1
      when Gem::Source::Local then
        0
      when Gem::Source then
        1
      else
        nil
      end
    end